summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-01-28 21:24:27 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-01-28 21:25:43 +0100
commitb187b7d9220679a07f1922581fb5e3eeee02990a (patch)
tree47f85669b42e4b18200d3398d2f2fe12f552dea4 /sci-libs/ignition-math
parentdev-libs/sdformat: restore keywords (diff)
downloadgentoo-b187b7d9220679a07f1922581fb5e3eeee02990a.tar.gz
gentoo-b187b7d9220679a07f1922581fb5e3eeee02990a.tar.bz2
gentoo-b187b7d9220679a07f1922581fb5e3eeee02990a.zip
sci-libs/ignition-math: bump to 2.3.0
Package-Manager: portage-2.2.27 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'sci-libs/ignition-math')
-rw-r--r--sci-libs/ignition-math/Manifest1
-rw-r--r--sci-libs/ignition-math/ignition-math-2.3.0.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/sci-libs/ignition-math/Manifest b/sci-libs/ignition-math/Manifest
index 6dd2412a920..7e09c32b840 100644
--- a/sci-libs/ignition-math/Manifest
+++ b/sci-libs/ignition-math/Manifest
@@ -1,2 +1,3 @@
DIST ignition-math2_2.2.2.tar.bz2 325413 SHA256 e88db3ea1104330d009cd8d5f70e564296d2344a970fb964da9591fea884e2ab SHA512 fc278312a8144438f2db128ad1041bfd9dc8d5f5618827c5e6374dee934a48fe0297a3036c353d5351656e2a7334c21c61c81227b9858e5f585a170291646d9a WHIRLPOOL 675b065f4908b5284b8fbdc970b943677b2b97a5846c1d91290a25bf9a945b58aab0b6e96fe33c7368061aaf1bd88be0db29456d649692a631410583e5043858
+DIST ignition-math2_2.3.0.tar.bz2 336989 SHA256 a1ef0fb00953846d00a64809c499a41e2dfff5b5c7fd0a646c9eebe6b54964d2 SHA512 3bf5259231eac8028661188d44ee2fab84296462cef5dbbdcda08d0b95f89019b03d22a61ec536e755a5669015ccf0e95aa5e4ae48925cf1bdcdf6ba7293d4e8 WHIRLPOOL 526d94400f756f63221d3397a20d9e8eb8093f6a54e096a610364248298a9fd81acc6b3ccf2d11b8a65e1626cf1651f9989b6ea76b54802a70f176b4d5d25b0c
DIST ignition-math_1.0.0.tar.bz2 312262 SHA256 aa7b5fc9a7732a72f2d45c25bea8280b2230fcd52fbc0159cf7f1224257e72f6 SHA512 21199854482c6cf30c345d27fe4975aa30a42f03c2bfb0fd5dfe0bbc309d686f2760a6ccc52f8e47bdf5d5db05fbbdcb2f9393c4a91ee054a78def5df8089950 WHIRLPOOL 7f088aea5bd7f2510043c5aad35e4ca814936159a4596657f2af02dc38bdb5e84db002cbb8f8ab8ed0ff0793af423cfd6d31714d6d56808d41ffeca7e3629e81
diff --git a/sci-libs/ignition-math/ignition-math-2.3.0.ebuild b/sci-libs/ignition-math/ignition-math-2.3.0.ebuild
new file mode 100644
index 00000000000..8bc20708763
--- /dev/null
+++ b/sci-libs/ignition-math/ignition-math-2.3.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils vcs-snapshot flag-o-matic
+
+DESCRIPTION="A small, fast, and high performance math library for robot applications"
+HOMEPAGE="http://ignitionrobotics.org/libraries/math"
+SRC_URI="https://bitbucket.org/ignitionrobotics/ign-math/get/${PN}2_${PV}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="2/2"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${PN}2_${PV}"
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_configure() {
+ # upstream appends this conditionally...
+ append-flags "-fPIC"
+ echo "set (CMAKE_C_FLAGS_ALL \"${CXXFLAGS} \${CMAKE_C_FLAGS_ALL}\")" > "${S}/cmake/HostCFlags.cmake"
+ sed -i -e "s/LINK_FLAGS_RELWITHDEBINFO \" \"/LINK_FLAGS_RELWITHDEBINFO \" ${LDFLAGS} \"/" cmake/DefaultCFlags.cmake || die
+ cmake-utils_src_configure
+}